Setup gitiles for use with gerrit as a repo viewer
Closed, ResolvedPublic

Description

Setup gitiles to use a repo viewer.

This task is used a log to track it being installed as a gerrit plugin in prod.

Questions:

Do we want to have a seperate domain for this or do we just want gerrit.wikimedia.org/plugins/gitiles?

Related Objects

StatusAssignedTask
ResolvedTgr
ResolvedPaladox
Resolveddemon
ResolvedNone
ResolvedNone
ResolvedPaladox
ResolvedPaladox
ResolvedPaladox
OpenNone
Resolveddemon
ResolvedPaladox
DeclinedNone
ResolvedPaladox
ResolvedNone
OpenNone
Resolveddemon
ResolvedNone
ResolvedPaladox
ResolvedPaladox
Resolveddemon
Resolveddemon
Paladox created this task.Jan 3 2018, 8:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 8:07 PM
Dzahn awarded a token.Jan 3 2018, 8:08 PM

I like gitiles better than Diffusion or Github links. I think it's great if i can do code review and view repos in the same tool (Gerrit). So +1 to using that plugin. Also per IRC chat with no_justification.

Change 401799 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Gerrit: Set gitiles configuation to be used as the repo viewer

https://gerrit.wikimedia.org/r/401799

We should do this when upgrading to 2.14.

demon added a comment.Jan 3 2018, 11:45 PM

We should do this when upgrading to 2.14.

s/when/after/

gitiles is now installed and can be accessed at https://gerrit.wikimedia.org/r/plugins/gitiles/

Dzahn added a comment.Feb 6 2018, 8:55 PM

cool, this ticket seems resolved

Dzahn added a comment.Feb 6 2018, 8:55 PM

I think the answer is "no separate domain"?

demon added a comment.Feb 6 2018, 11:24 PM

Problem with second domain is that I dunno how well it'd work with being logged in (gitiles respects ACLs, one of the reasons I wanted to go the plugin route instead of Phab)....unless we did something funky with the cookie domain? We can and should do some rewrites though, "/r/plugins/gitiles/" could be one word...I saw "view" and "git" suggested on IRC...I'd go a step further and just use "g" for gitiles/git.

Dzahn added a comment.Feb 9 2018, 3:58 AM

I agree we should _not_ use a second domain, yea. Also the short version with just "g" or something similar seems nice.

What's up with https://gerrit.wikimedia.org/r/#/c/401799/ now btw?

Change 409211 had a related patch set uploaded (by Chad; owner: Chad):
[operations/puppet@production] Gerrit: Proxy gitiles through gerrit.wikimedia.org/g/

https://gerrit.wikimedia.org/r/409211

Legoktm added a subscriber: Legoktm.Feb 9 2018, 4:33 AM

Regarding cookies, the GerritAccount cookie has a path set of /r, so visiting gerrit.wikimedia.org/g/ shows me as logged out.

jayvdb updated the task description. (Show Details)Feb 9 2018, 4:57 AM

Change 401799 merged by Dzahn:
[operations/puppet@production] Gerrit: Set gitiles configuation to be used as the repo viewer

https://gerrit.wikimedia.org/r/401799

Change 409211 merged by Dzahn:
[operations/puppet@production] Gerrit: Proxy gitiles through gerrit.wikimedia.org/g/

https://gerrit.wikimedia.org/r/409211

demon closed this task as Resolved.Feb 13 2018, 4:01 AM
demon claimed this task.